/*
 * Copyright (c) 2001-2011 Aspose Pty Ltd. All Rights Reserved.
 */

package com.aspose.cells.demos.lightcells;

import com.aspose.cells.Cells;
import com.aspose.cells.OoxmlSaveOptions;
import com.aspose.cells.Workbook;
import com.aspose.cells.Worksheet;

public class Demo332587
{
    private static final String OUTPUT_FILE_PATH = "./Output/";
    
    public static void main(String[] args) throws Exception
    {
        Workbook wb = new Workbook();
        int sheetCount = 1;
        int rowCount = 600000;
        for(int k = 0; k < sheetCount; k++)
        {
            Worksheet sheet = null;
            if(k == 0)
            {
                sheet = wb.getWorksheets().get(k);
                sheet.setName("test");
            }
            else
            {
                int sheetIndex = wb.getWorksheets().add();
                sheet = wb.getWorksheets().get(sheetIndex);
                sheet.setName("test" + sheetIndex);
            }
            Cells cells = sheet.getCells();

            for(int j = 0; j < 15; j++)
            {
                cells.setColumnWidth(j, 15);
            }

            for(int i = 0; i < rowCount; i++)
            {
                //The first 10 columns
                for(int j = 0; j < 10; j++)
                {
                    if(j % 3 == 0)
                    {
                        cells.merge(i, j, 1, 2, false, false);
                    }

                    if(i % 50 == 0)
                    {
                        if(j == 0)
                        {
                            sheet.getHyperlinks().add(i, j, 1, 1, "test!A1");
                        }
                        else if(j == 3)
                        {
                            sheet.getHyperlinks().add(i, j, 1, 1, "http://www.google.com");
                        }
                    }
                }

                //The second 10 columns
                for(int j = 10; j < 20; j++)
                {
                    if(j == 12)
                    {
                        cells.merge(i, j, 1, 3, false, false);
                    }
                }
            }
        }
        
        LightCellsDataProvider332587 dataProvider = new LightCellsDataProvider332587(wb, 1, rowCount, 20);
        OoxmlSaveOptions opt = new OoxmlSaveOptions();
        opt.setLightCellsDataProvider(dataProvider);
        wb.save(OUTPUT_FILE_PATH + "/Demo332587.xlsx", opt);
    }
}
