package com.aspose.cells.demos.data;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import com.aspose.cells.Cell;
import com.aspose.cells.Cells;
import com.aspose.cells.Workbook;
import com.aspose.cells.Worksheet;
import com.aspose.cells.WorksheetCollection;
import com.aspose.cells.demos.DemoBaseServlet;

public class CalculateFormulaServlet extends DemoBaseServlet
{
    private static final String TEMPLATE_FILE_PATH_PART = "/WEB-INF/Designer/Workbooks/CalculateFormula.xls";

    @Override
    protected Workbook createReport(HttpServletRequest request) throws Exception
    {
        resultFile = "CalculateFormula.xls";
        ServletContext sc = getServletContext();
        String template_file_path = sc.getRealPath(TEMPLATE_FILE_PATH_PART);
        Workbook workbook = new Workbook(template_file_path);
        createStaticReport(workbook);
        return workbook;
    }

    private void createStaticReport(Workbook workbook) throws Exception
    {
        WorksheetCollection worksheets = workbook.getWorksheets();
        Worksheet worksheet = worksheets.get(0);
        Cells cells = worksheet.getCells();
        Cell cell;
        String strFormula;

        for(int i = 7; i <= 131; i++)
        {
            cell = cells.get(i, 2);
            strFormula = cell.getStringValue();
            cell = cells.get(i, 3);
            cell.setFormula(strFormula);
        }

        workbook.calculateFormula();
        for(int j = 7; j <= 131; j++)
        {
            cell = cells.get(j, 3);
            cells.get(j, 4).setValue(cell.getValue());
        }
        cells.get("F8").setSharedFormula("=E8=D8", 125, 1);
    }
}
