package com.aspose.cells.demos.pagesetup;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import com.aspose.cells.Workbook;
import com.aspose.cells.Worksheet;
import com.aspose.cells.WorksheetCollection;
import com.aspose.cells.demos.DemoBaseServlet;

public class PageBreaks extends DemoBaseServlet
{
    private static final String TEMPLATE_FILE_PATH_PART = "/WEB-INF/Designer/book1.xls";

    @Override
    protected Workbook createReport(HttpServletRequest request) throws Exception
    {
        resultFile = "PageBreaks.xls";
        ServletContext sc = getServletContext();
        String template_file_path = sc.getRealPath(TEMPLATE_FILE_PATH_PART);
        Workbook workbook = new Workbook(template_file_path);
        WorksheetCollection worksheets = workbook.getWorksheets();
        Worksheet worksheet = worksheets.get(0);
        AddHVPageBreaks(worksheet);
        return workbook;
    }
    
    private void AddHVPageBreaks(Worksheet worksheet)
    {
        //Add page break
        worksheet.addPageBreaks("B2");

        //or
        worksheet.getHorizontalPageBreaks().add("B12");
        worksheet.getVerticalPageBreaks().add("B12");
    }
}
